#include <bits/stdc++.h>
using namespace std;
int main(){
    long long a,b,m,n;
    cin>>m>>n>>a;
    long long c=m/a+1;
    long long d=n/a+1;
    if(m%a==0)c--;
    if(n%a==0)d--;
    cout<<c*d;

}

